org.springframework.web.reactive.result.view

## Interface Rendering

-     public interface Rendering

  Public API for HTML rendering. Supported as a return value in Spring WebFlux controllers. Comparable to the use of `ModelAndView` as a return value in Spring MVC controllers.

  Controllers typically return a `String` view name and rely on the "implicit" model which can also be injected into the controller method. Or controllers may return model attribute(s) and rely on a default view name being selected based on the request path.

  `Rendering` can be used to combine a view name with model attributes, set the HTTP status or headers, and for other more advanced options around redirect scenarios.

  Since:
    5.0
  Author:
    Rossen Stoyanchev

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Rendering.Builder<B extends Rendering.Builder<B>>` Defines a builder for `Rendering`.
    `static interface` | `Rendering.RedirectBuilder` Extends `Rendering.Builder` with extra options for redirect scenarios.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpHeaders` | `headers()` Return headers to add to the response.
    `Map<String,Object>` | `modelAttributes()` Return attributes to add to the model.
    `static Rendering.RedirectBuilder` | `redirectTo(String url)` Create a new builder for a redirect through a `RedirectView`.
    `HttpStatus` | `status()` Return the HTTP status to set the response to.
    `Object` | `view()` Return the selected `String` view name or `View` object.
    `static Rendering.Builder<?>` | `view(String name)` Create a new builder for response rendering based on the given view name.

- - ### Method Detail

    - #### view

          @Nullable
          Object view()

      Return the selected `String` view name or `View` object.

    - #### modelAttributes

          Map<String,Object> modelAttributes()

      Return attributes to add to the model.

    - #### status

          @Nullable
          HttpStatus status()

      Return the HTTP status to set the response to.

    - #### headers

          HttpHeaders headers()

      Return headers to add to the response.

    - #### view

          static Rendering.Builder<?> view(String name)

      Create a new builder for response rendering based on the given view name.
      Parameters:
        `name` - the view name to be resolved to a `View`
      Returns:
        the builder

    - #### redirectTo

          static Rendering.RedirectBuilder redirectTo(String url)

      Create a new builder for a redirect through a `RedirectView`.
      Parameters:
        `url` - the redirect URL
      Returns:
        the builder